#ifndef HTTPREQUEST_H
#define HTTPREQUEST_H

/*
 * @(#)HTTPRequest.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002-2004 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include "AcceptLanguage.h"
#include "String.h"

class HTTPRequest {
public:
	String method, uri, protocol;
	String host;
	AcceptLanguage languages;
	int contentLength;
	int ifModifiedSince;

	HTTPRequest(class BufferedReader &reader);
	HTTPRequest(HTTPRequest *request);
	~HTTPRequest();
};

#endif
