#ifndef STREAMTOKENIZER_H
#define STREAMTOKENIZER_H

/*
 * @(#)StreamTokenizer.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include "String.h"

class StreamTokenizer {
	class BufferedReader &reader;
public:
	class String sval;
	enum { TT_EOF, TT_EOL, TT_NUMBER, TT_WORD } ttype;

	StreamTokenizer(class BufferedReader &r);
	~StreamTokenizer();
	int nextToken();
};

#endif
